apiVersion: maistra.io/v2
kind: ServiceMeshControlPlane
metadata:
  name: data-science-smcp
  namespace: istio-system
spec:
  addons:
    grafana:
      enabled: false
    jaeger:
      name: jaeger
    kiali:
      enabled: false
      name: kiali
    prometheus:
      enabled: false
  gateways:
    ingress:
      service:
        metadata:
          labels:
            knative: ingressgateway
    openshiftRoute:
      enabled: false
  proxy:
    networking:
      trafficControl:
        inbound:
          excludedPorts:
          - 8444
          - 8022
  security:
    dataPlane:
      mtls: true
    identity:
      type: ThirdParty
  techPreview:
    meshConfig:
      defaultConfig:
        terminationDrainDuration: 35s
  tracing:
    type: None
